std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}


vector<int> getVisionPattern1d() {
    return {1, 2, 3};
}

int getMove1d(vector<int> v) {
    int n = (v.size() - 1) / 2;
    if (n == 3) {
        return (v[n - 1] == 1 ? n - 1 : n + 1);
    }
    if (n == 2) {
        return (v[n - 1] == 3 ? n - 1 : n + 1);
    }
    return (v[n - 1] == 2 ? n - 1 : n + 1);
}